Provider Support
AuthSpoke provider-admin operations for tenants, entitlements, kill switches, config, and support actions.
/api/v1/support/configList support config
List support config. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/config" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/configCreate or run support config
Create or run support config. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/config" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/config/{key}Create or run config key
Create or run config key. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| key* | key identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/config/{key}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/config/{key}Delete config key
Delete config key. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| key* | key identifier. |
Responses
Example request
curl -X DELETE "https://api.authspoke.com/api/v1/support/config/{key}" \
-H "Authorization: Bearer $TOKEN"/api/v1/support/kill-switchesList support kill switches
List support kill switches. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/kill-switches" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/kill-switches/{key}Create or run kill switches key
Create or run kill switches key. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| key* | key identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/kill-switches/{key}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/meList support me
List support me. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/me" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/orgsList support orgs
List support orgs. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/orgs" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/orgs/{tenantId}Get orgs tenant id
Get orgs tenant id. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| tenantId* | tenantId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/orgs/{tenantId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/orgs/{tenantId}/usersGet tenant id users
Get tenant id users. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| tenantId* | tenantId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/orgs/{tenantId}/users" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/sqlCreate or run support sql
Create or run support sql. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/sql" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/tenantsList support tenants
List support tenants. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/tenants" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/tenants/{tenantId}/entitlementsGet tenant id entitlements
Get tenant id entitlements. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| tenantId* | tenantId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/support/tenants/{tenantId}/entitlements" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/tenants/{tenantId}/entitlements/{kind}/{key}Create or run kind key
Create or run kind key. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| tenantId* | tenantId identifier. |
| kind* | kind identifier. |
| key* | key identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/tenants/{tenantId}/entitlements/{kind}/{key}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/users/{userId}/reset-passwordCreate or run user id reset password
Create or run user id reset password. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| userId* | userId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/users/{userId}/reset-password" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/support/users/{userId}/statusCreate or run user id status
Create or run user id status. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| userId* | userId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/support/users/{userId}/status" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}